# Digital Credentials Provisioning API - Google Hosted Endpoints

This includes services hosted by Google for the Digital Credentials Provisioning API.

## Service: vgw.googleapis.com

### Discovery document

A [Discovery Document](https://developers.google.com/discovery/v1/reference/apis) is a machine-readable specification for describing and consuming REST APIs. It is used to build client libraries, IDE plugins, and other tools that interact with Google APIs. One service may provide multiple discovery documents. This service provides the following discovery document:

- [View Open API Specification](https://developers.google.com/static/wallet/identity/provisioning/api-reference/google-hosted/rest/v1/specs/open-api-spec.json)

### Connecting to this service

This service is secured via mTLS. Once you have completed the onboarding process defined [here](https://developers.google.com/wallet/identity/provisioning/issuers/get-started), you can start connecting to this service.

Example:

```
curl -X POST -H "Content-Type: application/json" -v --key private_key.key --tlsv1.2 --cert certificate.crt -d '{"requestMetadata": {"requestId": "8ae2aae4-0ece-11ed-861d-0242ac120002","version": {"major": 0,"minor": 1},"issuerId": "YOUR_ISSUER_ID"},"clientMessage": "hello"}'  https://vgw.sandbox.google.com/be/mdl/canonical/YOUR_ISSUER_ID/v1/healthCheck
```

### Service endpoint

A [service endpoint](https://cloud.google.com/apis/design/glossary#api_service_endpoint) is a base URL that specifies the network address of an API service. One service might have multiple service endpoints. This service has the following service endpoint and all URIs below are relative to this service endpoint:

- Prod: `https://vgw.googleapis.com`
- Sandbox: `https://vgw.sandbox.google.com`

| Methods ||
|---|---|
| `https://developers.google.com/wallet/identity/provisioning/api-reference/google-hosted/rest/v1/be.mdl.canonical.:issuerId.v1/healthCheck` | `POST /be/mdl/canonical/:issuerId/v1/healthCheck` An endpoint used to test connectivity issues. |
| `https://developers.google.com/wallet/identity/provisioning/api-reference/google-hosted/rest/v1/be.mdl.canonical.:issuerId.v1/notifyCredentialStatusUpdateAvailable` | `POST /be/mdl/canonical/:issuerId/v1/notifyCredentialStatusUpdateAvailable` An endpoint to indicate that there is a new status update that can be retrieved using GetCredentialStatus. |
| `https://developers.google.com/wallet/identity/provisioning/api-reference/google-hosted/rest/v1/be.mdl.canonical.:issuerId.v1/notifyProofingStatusUpdateAvailable` | `POST /be/mdl/canonical/:issuerId/v1/notifyProofingStatusUpdateAvailable` An endpoint to indicate that there is a new status update that can be retrieved using GetProofingStatus. |